package com.nokia.finance.tasks.pojo.po.common;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@TableName("common.nginx_log")
public class NginxLogPo {

    /**
     * 访问时间
     */
    private LocalDateTime accessTime;

    /**
     * 响应状态码
     */
    private Integer status;

    /**
     * 请求处理的总时间（秒，精确到毫秒）
     */
    private BigDecimal requestTime;

    /**
     * 当前处理的URI（不带参数）
     */
    private String uri;

    /**
     * 账号，从token解密
     */
    private String loginId;

    /**
     * 页面url，从token解密
     */
    private String pageUrl;

    /**
     * 应用id，从token解密
     */
    private String appId;

    /**
     * 访问令牌
     */
    private String token;

    /**
     * 时间戳，从token解密
     */
    private LocalDateTime timeStamp;

    /**
     * 过期秒数，从token解密
     */
    private Integer expireTime;

    /**
     * token过期时间
     */
    private LocalDateTime expireTimeStamp;

    /**
     * 请求中的查询参数
     */
    private String queryString;

    /**
     * 请求体内容
     */
    private String requestBody;

    /**
     * 请求头
     */
    private String requestHeaders;

    /**
     * 响应头
     */
    private String responseHeaders;

    /**
     * 响应体内容
     */
    private String responseBody;


    /**
     * 请求方法
     */
    private String requestMethod;

    /**
     * 请求协议
     */
    private String scheme;

    /**
     * 请求协议版本
     */
    private String serverProtocol;

    /**
     * 请求的总长度（请求行+头+体）
     */
    private Integer requestLength;

    /**
     * 发送给客户端的响应体字节数（不包含头）
     */
    private Integer bodyBytesSent;

    /**
     * 发送给客户端的总字节数（包括头和体）
     */
    private Integer bytesSent;

    /**
     * 传递客户端真实 IP
     */
    private String httpXRealIp;

    /**
     * 请求路径中的所有代理 IP 和客户端 IP
     */
    private String httpXForwardedFor;

    /**
     * 客户端IP地址
     */
    private String remoteAddr;
}
